function [t,x,u] = CL_integrator(const,x0,u0)
% Description

% Add path to get access to SS folder 
addpath(genpath('C:\Users\Adriaen\Dropbox\_MASTER_\MATLAB\Alternative'))

% Initial estimates for the states
if ~exist('const','var');
    const = zeros(0,2);
end

if ~exist('x0','var');
    x0 = SS_init_x;
end
    
if ~exist('u0','var');
    u0 = SS_init_u;
end

% Calculating the steady state
y_SS = SS_opt(u0,x0,const);

csp = 2.939168842595935e+02;

x_SS = [y_SS;y_SS(20:21);0;0;y_SS(1);csp;0]; 
u_SS = [3.1; 1.1; csp; y_SS(2:3)];

%% Calculating responses to disturbances / setpoint changes

% Doing a step change in L1 setpoint
u = u_SS;
%u(3) = u(3)*1.01;

% Parametrizing the function to pass extra parameters to it (u and params)
p = SS_init_params;
p.XV2opt = y_SS(20);
p.XV3opt = y_SS(21);
p.Nopt   = y_SS(1);

%params.TP1I = params.TP1I + 1;
%params.TP2I = params.TP2I + 2;
p.alpha = p.alpha + 1;
%p.beta  = p.beta  + 1;
%params.FCP1 = params.FCP1 + 5;

g = @(t,x) CL_model(t,x,u,p);

% Defining the constant, singular mass matrix M
M = diag([ones(1,9),zeros(1,32),ones(1,4),0,0,1]);

 options = odeset('Mass',M,'MStateDependence','none',...
     'MassSingular','yes','RelTol',1e-6,'Vectorized','off');

tspan = 0:0.1:2000;             
[t,x] = ode15s(g,tspan,x_SS,options);

% Plot results
if length(dbstack)==1
	CL_plotter(t,x,x_SS,u_SS);
end


end