function SS_create_pfd(x,fval,p)
% Creates a flowsheet based on template

y = [fval; x(10)+p.T1diff; x(11)+p.T2diff; p.TP3I; x(1:3); x(6); x(10:15); x(20:37)];
names = {'J','TP1I','TP2I','TP3I','N','XV1','FCP3','T3','T1','T2','PA', ...
         'TA','TC','TD','XV2','XV3','L1','L2','L3','P1','P2','P3',      ...
         'TP1O','TP2O','TP3O','FG1','FG2','FG3','FL2','FL3','FL4','TB'};
     
celcius = false;
if celcius == true
    temps    = [2,3,4,18,42,19,20,33,34,35];
    x(temps) = x(temps)-273.15;
    p.TP2I   = p.TP2I-273.15;
    p.TP3I   = p.TP3I-273.15;
end

path = ('C:\Users\Adriaen\Dropbox\_MASTER_\MATLAB\Alternative\Alternative_SteadyState\figures');

format = 'eps';

if strcmp(format,'svg')
    filepath = [path,'\PFD_template.svg'];
    str = fileread(filepath);
    for i = 1:length(names)
        str = strrep(str, ['>',names{i},'<'],...
                  sprintf(['>',names{i},': %.4g<'], y(i)));
    end
    fid = fopen([path,'\temp.svg'], 'w');
    fwrite(fid, str, '*char');
    fclose(fid);
    
elseif strcmp(format,'eps')
    filepath = [path,'\PFD_template.eps'];
    str = fileread(filepath);
    for i = 1:length(names)
        str = strrep(str, ['(',names{i},')'],...
                  sprintf(['(',names{i},': %.4g)'], y(i)));
    end
    fid = fopen([path,'\temp.eps'], 'w');
    fwrite(fid, str, '*char');
    fclose(fid);
end
% !inkscape "C:\Users\Adriaen\Desktop\mCase 2\figures\temp.svg" --export-pdf="C:\Users\Adriaen\Desktop\mCase 2\figures\PFD.pdf"
% if show_pdf_bool
%     winopen([path,'\PFD.pdf'])
% end
end