function [t,x,u] = CL_integrator(const,x0,u0)
% Description

% Add path to get access to SS folder 
addpath(genpath('C:\Users\Adriaen\Dropbox\_MASTER_\MATLAB\Original'))

% Initial estimates for the states
if ~exist('c','var');
    const = zeros(0,2);
end

if ~exist('x0','var');
    x0 = SS_init_x;
end
    
if ~exist('u0','var');
    u0 = SS_init_u;
end

% Calculating the steady state
y_SS = SS_opt(u0,x0,const);

load('H_matrices.mat')
csp  = c;

x_SS = [y_SS;y_SS(20:21);0;0;y_SS(1);csp(1);0; y_SS(2);csp(2);0]; %;y_SS(2);csp(2);0
u_SS = [3.1; 1.1; csp(1); csp(2); y_SS(3)];

%% Calculating responses to disturbances / setpoint changes

% Doing a step change in L1 setpoint
u = u_SS;
%u(3) = u(3)*1.01;

% Parametrizing the function to pass extra parameters to it (u and params)
params = SS_init_params;
params.XV2opt = y_SS(20);
params.XV3opt = y_SS(21);
params.Nopt   = y_SS(1);
params.XV1opt = y_SS(2);

params.TP1I = params.TP1I + 5;
%params.TP2I = params.TP2I + 2;
%params.TP3I = params.TP3I + 2;
%params.FCP1 = params.FCP1 + 5;

g = @(t,x) CL_model(t,x,u,params);

% Defining the constant, singular mass matrix M
M = diag([ones(1,9),zeros(1,32),ones(1,4),0,0,1,0,0,1]);

 options = odeset('Mass',M,'MStateDependence','none',...
     'MassSingular','yes','RelTol',1e-6,'Vectorized','off');

tspan = 0:0.5:2000;             
[t,x] = ode15s(g,tspan,x_SS,options);


% Plot results
if length(dbstack)==1
	CL_plotter(t,x,x_SS,u_SS);
end


end