function CL_plotter(t,x,x_SS,u_SS)
     close all

     tbz = (-100:0.5:-0.5)';
     t = [tbz;t];
     x = [(x_SS*ones(size(tbz))')';x];
          tlim = [min(t) max(t)];
    
    [H,cset,subset] = optimal_measurements();
    c = H*x(:,subset)'; 
    
    figure()
    subplot(3,2,1)
    plot(t,c(1,:)-cset(1))
    xlabel('t [s]')
    ylabel('\Delta c_1 [-]')
    xlim(tlim)
      
    subplot(3,2,2)
    plot(t,c(2,:)-cset(2))
    xlabel('t [s]')
    ylabel('\Delta c_2 [-]')
    xlim(tlim)
    
    subplot(3,2,3)
    plot(t,x(:,46)) % N
    xlabel('t [s]')    
    ylabel('N [-]')
    xlim(tlim)
    
    subplot(3,2,4)
    plot(t,x(:,49)) % XV1
    xlabel('t [s]')    
    ylabel('XV1 [-]')
    xlim(tlim)
    
    subplot(3,2,5:6)
    p = SS_init_params();
    p.TP1I = p.TP1I + 1;
    [~,jopt] = SS_opt([],[],p);
    
    j = (x(:,38)+x(:,39)) + 125*x(:,28)+1*x(:,29);
    
    loss = [zeros(length(tbz),1);j(length(tbz)+1:end)-jopt];
    plot(t,loss)
    xlabel('t [s]')
    ylabel('Loss [-]')
    xlim(tlim)    
end