function active_list = SS_printactive(y,exitflag,lb,ub)
% Function that prints active constraints and nonzero exitflags

names = {'N','XV1','FCP3','H1','H2','T3','W1','W2','W4','T1','T2','PA', ...
         'TA','TC','TD','HH1','HH2','WV1','WV2','XV2','XV3','L1','L2',  ...
         'L3','P1','P2','P3','TP1O','TP2O','TP3O','FG1','FG2','FG3',    ...
         'FL2','FL3','FL4','TB','PTH1','PTH2','Q1','Q2'                 ...
        };

if exitflag <= 0
    fprintf(['Exitflag negative or equal to zero! \nExitflag: %i \nSee '...
    'http://mathworks.com/help/optim/ug/fmincon.html for more info\n\n']...
    ,exitflag)
end

upper_limit = abs(ub./y)-1;
lower_limit = 1-abs(lb./y);
err_tol = 1e-4;
active_list = [];
for i = 1:length(y)
    if upper_limit(i) < err_tol
        if length(dbstack)<=2;
            fprintf('Active constraint: %s at upper limit \n',names{i})
        end
        if isempty(active_list)
            active_list = [names{i},'u '];
        else
            active_list = [active_list,[names{i},'u ']];
        end
    elseif lower_limit(i) < err_tol
        if length(dbstack)<=2;
            fprintf('Active constraint: %s at lower limit \n',names{i})
        end
        if isempty(active_list)
            active_list = [names{i},'l '];
        else
            active_list = [active_list,[names{i},'l ']];
        end
    end
end

end