function Gy = getGy()
% Calculates Gy = dy/du

% Initialize inputs, states and parameters
u0 = SS_init_u;
x0 = SS_init_x;
p  = SS_init_params();

% Get nominal solution
y = SS_opt(u0,x0,p);
nom = [[1:3]',y(1:3)];

f = @(c) SS_opt(u0,x0,p,c);

% Create steps for the inputs
h = [0,0,0;nom(1,2)*0.01,0,0]';
k = [0,0,0;0,nom(2,2)*0.01,0]';

% Calculate the derivative using finite difference methods
GyN   = (f(nom+h)-f(nom-h))/(2*sum(h(:)));
GyXV1 = (f(nom+k)-f(nom-k))/(2*sum(k(:)));
Gy = [GyN, GyXV1];

end